%define upstream_name    Alien-cmake3
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Find or download or build cmake 3 or better
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
# This is an Alien::Build plugin, it stores data about architecture specific
# files, therefore this an architecture specific package, yet there is no XS
# code, so debuginfo generation and dependency on perl-devel is disabled.
%global debug_package %{nil}
BuildRequires: cmake
BuildRequires: perl(Alien::Base)
BuildRequires: perl(Alien::Build)
BuildRequires: perl(Alien::Build::MM)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Which)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::Alien)
Requires: cmake

%description
This the Alien manpage distribution provides an external dependency on the
build tool 'cmake' version 3.0.0 or better. 'cmake' is a popular
alternative to autoconf.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Sat Feb 29 2020 tv <tv> 0.50.0-3.mga8
+ Revision: 1552340
- cannot be noarch as vendorarch is %%_libdir

* Fri Feb 21 2020 umeabot <umeabot> 0.50.0-2.mga8
+ Revision: 1547833
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 0.50.0-1.mga8
+ Revision: 1488468
- cpan2dist

